package com.yihu.jw.entity.base.patient;

import com.yihu.jw.entity.IntegerIdentityEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;


/**
 * 意见反馈实体
 * 
 * @author Administrator on  2018年11月27日
 *
 */
@Entity
@Table(name = "feedback")
@SequenceGenerator(name="id_generated", sequenceName="FEEDBACK_SEQ")
public class FeedbackDO extends IntegerIdentityEntity {

    /**
     * 反馈问题类型，功能异常，功能优化，新功能建议，其他
     */
    public enum Type{
        functionalAbnomal(0),
        functionalOptimal(1),
        newFunction(2),
        other(3);

        private int value;

        private Type(int value){
            this.value = value;
        }

        public int getValue() {
            return value;
        }

        public void setValue(int value) {
            this.value = value;
        }
    }

    /**
	 * 问题类型（功能异常-无法使用功能，功能优化-不好用、界面难看，新功能建议-你希望有什么功能，其他-其他任何问题）
	 */
	private int type;

    /**
	 * 反馈内容，问题和建议
	 */
	private String feedbackContent;

    /**
	 * 图片，存图片地址，逗号分割
	 */
	private String img;

    /**
	 * 联系手机号码
	 */
	private String mobile;

	@Column(name = "type")
    public int getType() {
        return type;
    }
    public void setType(int type) {
        this.type = type;
    }

	@Column(name = "feedback_content")
    public String getFeedbackContent() {
        return feedbackContent;
    }
    public void setFeedbackContent(String feedbackContent) {
        this.feedbackContent = feedbackContent;
    }

	@Column(name = "img")
    public String getImg() {
        return img;
    }
    public void setImg(String img) {
        this.img = img;
    }

	@Column(name = "mobile")
    public String getMobile() {
        return mobile;
    }
    public void setMobile(String mobile) {
        this.mobile = mobile;
    }
}